#ifndef VIDEOPLAYER_H
#define VIDEOPLAYER_H

#include <QWidget>
#include <QMediaPlayer>
#include <QGraphicsView>
#include <QGraphicsVideoItem>

class VideoPlayer : public QWidget
{
    Q_OBJECT

public:
    explicit VideoPlayer(QWidget *parent = 0);
    ~VideoPlayer();
    void setOutput(QGraphicsVideoItem *videoWidget, int duration);
    void setMediaFile(QString filePath);

private slots:
    void updatePosition(qint64 position);

    void mediaStatusChanged(QMediaPlayer::MediaStatus status);
    void showError(QMediaPlayer::Error error);

private:
    QMediaPlayer *m_player;
    int video_Duration = 0;
    QString m_filePath;
};

#endif // VIDEOPLAYER_H
